/*
  Credit: https://www.planetminecraft.com/blog/changing-hardcoded-colours-1-18-1-17-core-shaders/
*/

#version 150

in vec4 vertexColor;

uniform vec4 ColorModulator;

out vec4 fragColor;

void main() {
    vec4 color = vertexColor;
    if (color.a == 0.0) {
        discard;
    }
    /*background color of tooltips*/
    if (color.r == 16/255.0 && color.g == 0/255.0 && color.b == 16/255.0) {
        color = vec4(0, 0, 0, 0.95);
    }
    /*border color tooltips*/
    if (color.r >= 0.15686 && color.r <= 0.31373 && color.g == 0 && color.b >= 0.49 && color.b <= 1) {
        color = vec4(1, 1, 1, 1);
    }
    fragColor = color * ColorModulator;
}
